Module org.jfree.chart3d
Package org.jfree.chart3d.legend

# Interface LegendItemInfo

All Known Implementing Classes:
  `StandardLegendItemInfo`

public interface LegendItemInfo
Information about an item (typically a data series) that can be displayed in a legend. All plots will return a list of these, to be used in the construction of a chart legend, via the `Plot3D.getLegendInfo()` method.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getColor()`
Returns the color used to represent a series.
`String`
`getDescription()`
Returns a longer description of the series (this could be used in tooltips, for example).
`String`
`getLabel()`
Returns the series label that will be displayed in the legend.
`Map<Comparable<?>,Object>`
`getProperties()`
A map containing other properties for the legend item.
`Comparable<?>`
`getSeriesKey()`
Returns the series key.
`Shape`
`getShape()`
Returns the shape used to represent the series in the legend.

## Method Details

### getSeriesKey

Comparable<?> getSeriesKey()
Returns the series key.

Returns:
  The series key (never `null`).

### getLabel

String getLabel()
Returns the series label that will be displayed in the legend. Very often this is the same as `getSeriesKey().toString()`, but here we have the option to provide some alternative text.

Returns:
  The label (never `null`).

### getDescription

String getDescription()
Returns a longer description of the series (this could be used in tooltips, for example).

Returns:
  The description (possibly `null`).

### getShape

Shape getShape()
Returns the shape used to represent the series in the legend. This may be `null`, in which case the legend builder should use a default shape.

Returns:
  The shape (possibly `null`).

### getColor

Color getColor()
Returns the color used to represent a series.

Returns:
  The color (never `null`).

### getProperties

Map<Comparable<?>,Object> getProperties()
A map containing other properties for the legend item. Not currently used, but available for future expansion.

Returns:
  A map (never `null`).